Subject: Re: [PATCH] revision: use priority queue in limit_list()

From: Junio C Hamano <[email-masked]>
Date: Mon, 18 May 2026 08:31:06 +0900

Kristofer Karlsson <[email-masked]> writes:

> I don't want to pollute this patch with that change - should I start a
> separate thread for it or just revisit this later?
> (Perhaps I have too many optimization patches in flux already)

Thanks for a great news.  I agree that it is a good idea to find a
good stopping point and make improvements step-wise, and the patch
posted for limit_list() is probably such a good stopping point.

If we do not see further comments on the current patch, let's merge
it to 'next', cook it for the standard 7 calendar days or so before
merging it down to 'master'.  Further optimizations can be made on
top of the updated 'master' branch as new and separate topics.